# -*- encoding: utf-8 -*-
# stub: activestorage 6.1.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "activestorage".freeze
  s.version = "6.1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/rails/rails/issues", "changelog_uri" => "https://github.com/rails/rails/blob/v6.1.7.1/activestorage/CHANGELOG.md", "documentation_uri" => "https://api.rubyonrails.org/v6.1.7.1/", "mailing_list_uri" => "https://discuss.rubyonrails.org/c/rubyonrails-talk", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/rails/rails/tree/v6.1.7.1/activestorage" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Heinemeier Hansson".freeze]
  s.date = "2024-04-03"
  s.description = "Attach cloud and local files in Rails applications.".freeze
  s.email = "david@loudthinking.com".freeze
  s.files = ["CHANGELOG.md".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "app/assets".freeze, "app/assets/javascripts".freeze, "app/assets/javascripts/activestorage.js".freeze, "app/controllers".freeze, "app/controllers/active_storage".freeze, "app/controllers/active_storage/base_controller.rb".freeze, "app/controllers/active_storage/blobs".freeze, "app/controllers/active_storage/blobs/proxy_controller.rb".freeze, "app/controllers/active_storage/blobs/redirect_controller.rb".freeze, "app/controllers/active_storage/direct_uploads_controller.rb".freeze, "app/controllers/active_storage/disk_controller.rb".freeze, "app/controllers/active_storage/representations".freeze, "app/controllers/active_storage/representations/base_controller.rb".freeze, "app/controllers/active_storage/representations/proxy_controller.rb".freeze, "app/controllers/active_storage/representations/redirect_controller.rb".freeze, "app/controllers/concerns".freeze, "app/controllers/concerns/active_storage".freeze, "app/controllers/concerns/active_storage/file_server.rb".freeze, "app/controllers/concerns/active_storage/set_blob.rb".freeze, "app/controllers/concerns/active_storage/set_current.rb".freeze, "app/controllers/concerns/active_storage/set_headers.rb".freeze, "app/javascript".freeze, "app/javascript/activestorage".freeze, "app/javascript/activestorage/blob_record.js".freeze, "app/javascript/activestorage/blob_upload.js".freeze, "app/javascript/activestorage/direct_upload.js".freeze, "app/javascript/activestorage/direct_upload_controller.js".freeze, "app/javascript/activestorage/direct_uploads_controller.js".freeze, "app/javascript/activestorage/file_checksum.js".freeze, "app/javascript/activestorage/helpers.js".freeze, "app/javascript/activestorage/index.js".freeze, "app/javascript/activestorage/ujs.js".freeze, "app/jobs".freeze, "app/jobs/active_storage".freeze, "app/jobs/active_storage/analyze_job.rb".freeze, "app/jobs/active_storage/base_job.rb".freeze, "app/jobs/active_storage/mirror_job.rb".freeze, "app/jobs/active_storage/purge_job.rb".freeze, "app/models".freeze, "app/models/active_storage".freeze, "app/models/active_storage/attachment.rb".freeze, "app/models/active_storage/blob".freeze, "app/models/active_storage/blob.rb".freeze, "app/models/active_storage/blob/analyzable.rb".freeze, "app/models/active_storage/blob/identifiable.rb".freeze, "app/models/active_storage/blob/representable.rb".freeze, "app/models/active_storage/current.rb".freeze, "app/models/active_storage/filename.rb".freeze, "app/models/active_storage/preview.rb".freeze, "app/models/active_storage/record.rb".freeze, "app/models/active_storage/variant.rb".freeze, "app/models/active_storage/variant_record.rb".freeze, "app/models/active_storage/variant_with_record.rb".freeze, "app/models/active_storage/variation.rb".freeze, "config/routes.rb".freeze, "db/migrate".freeze, "db/migrate/20170806125915_create_active_storage_tables.rb".freeze, "db/update_migrate".freeze, "db/update_migrate/20190112182829_add_service_name_to_active_storage_blobs.rb".freeze, "db/update_migrate/20191206030411_create_active_storage_variant_records.rb".freeze, "lib/active_storage".freeze, "lib/active_storage.rb".freeze, "lib/active_storage/analyzer".freeze, "lib/active_storage/analyzer.rb".freeze, "lib/active_storage/analyzer/image_analyzer.rb".freeze, "lib/active_storage/analyzer/null_analyzer.rb".freeze, "lib/active_storage/analyzer/video_analyzer.rb".freeze, "lib/active_storage/attached".freeze, "lib/active_storage/attached.rb".freeze, "lib/active_storage/attached/changes".freeze, "lib/active_storage/attached/changes.rb".freeze, "lib/active_storage/attached/changes/create_many.rb".freeze, "lib/active_storage/attached/changes/create_one.rb".freeze, "lib/active_storage/attached/changes/create_one_of_many.rb".freeze, "lib/active_storage/attached/changes/delete_many.rb".freeze, "lib/active_storage/attached/changes/delete_one.rb".freeze, "lib/active_storage/attached/many.rb".freeze, "lib/active_storage/attached/model.rb".freeze, "lib/active_storage/attached/one.rb".freeze, "lib/active_storage/downloader.rb".freeze, "lib/active_storage/engine.rb".freeze, "lib/active_storage/errors.rb".freeze, "lib/active_storage/gem_version.rb".freeze, "lib/active_storage/log_subscriber.rb".freeze, "lib/active_storage/previewer".freeze, "lib/active_storage/previewer.rb".freeze, "lib/active_storage/previewer/mupdf_previewer.rb".freeze, "lib/active_storage/previewer/poppler_pdf_previewer.rb".freeze, "lib/active_storage/previewer/video_previewer.rb".freeze, "lib/active_storage/reflection.rb".freeze, "lib/active_storage/service".freeze, "lib/active_storage/service.rb".freeze, "lib/active_storage/service/azure_storage_service.rb".freeze, "lib/active_storage/service/configurator.rb".freeze, "lib/active_storage/service/disk_service.rb".freeze, "lib/active_storage/service/gcs_service.rb".freeze, "lib/active_storage/service/mirror_service.rb".freeze, "lib/active_storage/service/registry.rb".freeze, "lib/active_storage/service/s3_service.rb".freeze, "lib/active_storage/transformers".freeze, "lib/active_storage/transformers/image_processing_transformer.rb".freeze, "lib/active_storage/transformers/transformer.rb".freeze, "lib/active_storage/version.rb".freeze, "lib/tasks".freeze, "lib/tasks/activestorage.rake".freeze]
  s.homepage = "https://rubyonrails.org".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Local and cloud file storage framework.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<actionpack>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<activejob>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<activerecord>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<marcel>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<mini_mime>.freeze, [">= 1.1.0"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<actionpack>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<activejob>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<activerecord>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<marcel>.freeze, ["~> 1.0"])
    s.add_dependency(%q<mini_mime>.freeze, [">= 1.1.0"])
  end
end
